# samples/11_camera_object_identification/camera_caffe_main.cpp File Reference

`#include "camera_caffe_main.h"`

Go to the source code of this file.

## Classes

class | ArgusSamples::ConsumerThread

## Namespaces

namespace | ArgusSamples

## Defines

#define | MAX_PENDING_FRAMES (3)
#define | DEFAULT_FPS (30)
#define | PRODUCER_PRINT(...) printf("PRODUCER: " __VA_ARGS__)
#define | CONSUMER_PRINT(...) printf("CONSUMER: " __VA_ARGS__)
#define | CHECK_ERROR(expr)

## Functions

int | main (int argc, const char *argv[])

## Define Documentation

#define CHECK_ERROR | ( | expr |  | ) |

Value:

    do { \
            if ((expr) < 0) { \
                abort(); \
                ORIGINATE_ERROR(#expr " failed"); \
            } \
        } while (0);

Definition at line 46 of file camera_caffe_main.cpp.

#define CONSUMER_PRINT | ( | ... |  | ) | printf("CONSUMER: " __VA_ARGS__)

Definition at line 45 of file camera_caffe_main.cpp.

#define DEFAULT_FPS (30)

Definition at line 37 of file camera_caffe_main.cpp.

#define MAX_PENDING_FRAMES (3)

Definition at line 36 of file camera_caffe_main.cpp.

#define PRODUCER_PRINT | ( | ... |  | ) | printf("PRODUCER: " __VA_ARGS__)

Definition at line 44 of file camera_caffe_main.cpp.

## Function Documentation

int main | ( | int | argc,
|  | const char * | argv[] |
| ) |  |  |

Definition at line 582 of file camera_caffe_main.cpp.